<refentry xmlns="http://docbook.org/ns/docbook" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:svg="http://www.w3.org/2000/svg" xmlns:mml="http://www.w3.org/1998/Math/MathML" xmlns:db="http://docbook.org/ns/docbook" xmlns:scilab="http://www.scilab.org" xml:id="MEAS_SineCurrent">
    <refnamediv>
        <refname>MEAS_SineCurrent</refname>
        <refpurpose>MEAS_SineCurrent Coselica block</refpurpose>
    </refnamediv>
    <refsection>
        <title>Block Screenshot</title>
        <para>
            <inlinemediaobject>
                <imageobject>
                    <imagedata fileref="../../../images/gif/MEAS_SineCurrent.gif" align="center" valign="middle"/>
                </imageobject>
            </inlinemediaobject>
        </para>
    </refsection>
    <refsection id="Description_MEAS_SineCurrent">
        <title>Description</title>
        <para>
            Sine current source
        </para>
    </refsection>
    <refsection id="Palette_MEAS_SineCurrent">
        <title>Palette</title>
        <itemizedlist>
            <listitem>
                <para>
                    <link linkend="Electrical_pal">Electrical - Coselica toolbox</link>
                </para>
            </listitem>
        </itemizedlist>
    </refsection>
    <refsection>
        <title>Block Screenshot</title>
        <para>
            <inlinemediaobject>
                <imageobject>
                    <imagedata fileref="../../../images/gui/MEAS_SineCurrent_gui.gif" align="center" valign="middle"/>
                </imageobject>
            </inlinemediaobject>
        </para>
        <itemizedlist>
            <listitem>
                <para>
                    <emphasis role="bold">I [A] : Amplitude of sine wave</emphasis>
                </para>
                <para> Properties : Type 'vec' of size 1. </para>
                <para> Default value : 1</para>
            </listitem>
            <listitem>
                <para>
                    <emphasis role="bold">phase [rad] : Phase of sine wave</emphasis>
                </para>
                <para> Properties : Type 'vec' of size 1. </para>
                <para> Default value : 0</para>
            </listitem>
            <listitem>
                <para>
                    <emphasis role="bold">freqHz [Hz] : Frequency of sine wave</emphasis>
                </para>
                <para> Properties : Type 'vec' of size 1. </para>
                <para> Default value : 1</para>
            </listitem>
            <listitem>
                <para>
                    <emphasis role="bold">offset [A] : Current offset</emphasis>
                </para>
                <para> Properties : Type 'vec' of size 1. </para>
                <para> Default value : 0</para>
            </listitem>
            <listitem>
                <para>
                    <emphasis role="bold">startTime [s] : Time offset</emphasis>
                </para>
                <para> Properties : Type 'vec' of size 1. </para>
                <para> Default value : 0</para>
            </listitem>
        </itemizedlist>
    </refsection>
    <refsection id="Defaultproperties_MEAS_SineCurrent">
        <title>Block Model / Default properties</title>
        <itemizedlist>
            <listitem>
                <para>
                    <emphasis role="bold">Inputs :</emphasis>
                </para>
                <itemizedlist>
                    <listitem>
                        <para>
                            <emphasis role="bold">Modelica variable name :</emphasis> 'p'
                        </para>
                        <para>
                            <emphasis role="bold">Implicit</emphasis> variable (Electrical type).
                        </para>
                    </listitem>
                </itemizedlist>
            </listitem>
            <listitem>
                <para>
                    <emphasis role="bold">Outputs :</emphasis>
                </para>
                <itemizedlist>
                    <listitem>
                        <para>
                            <emphasis role="bold">Modelica variable name :</emphasis> 'n'
                        </para>
                        <para>
                            <emphasis role="bold">Implicit</emphasis> variable (Electrical type).
                        </para>
                    </listitem>
                </itemizedlist>
            </listitem>
            <listitem>
                <para>
                    <emphasis role="bold">Parameters :</emphasis>
                </para>
                <itemizedlist>
                    <listitem>
                        <para>
                            <emphasis role="bold">Modelica parameter name :</emphasis> 'I'
                        </para>
                        <para>
                            <emphasis role="bold">Default value :</emphasis> 1
                        </para>
                    </listitem>
                    <listitem>
                        <para>
                            <emphasis role="bold">Modelica parameter name :</emphasis> 'phase'
                        </para>
                        <para>
                            <emphasis role="bold">Default value :</emphasis> 0
                        </para>
                    </listitem>
                    <listitem>
                        <para>
                            <emphasis role="bold">Modelica parameter name :</emphasis> 'freqHz'
                        </para>
                        <para>
                            <emphasis role="bold">Default value :</emphasis> 1
                        </para>
                    </listitem>
                    <listitem>
                        <para>
                            <emphasis role="bold">Modelica parameter name :</emphasis> 'offset'
                        </para>
                        <para>
                            <emphasis role="bold">Default value :</emphasis> 0
                        </para>
                    </listitem>
                    <listitem>
                        <para>
                            <emphasis role="bold">Modelica parameter name :</emphasis> 'startTime'
                        </para>
                        <para>
                            <emphasis role="bold">Default value :</emphasis> 0
                        </para>
                    </listitem>
                </itemizedlist>
            </listitem>
        </itemizedlist>
    </refsection>
    <refsection id="Interfacingfunction_MEAS_SineCurrent">
        <title>Interfacing function</title>
        <itemizedlist>
            <listitem>
                <para>MEAS_SineCurrent.sci</para>
            </listitem>
        </itemizedlist>
    </refsection>
    <refsection id="Modelicamodel_MEAS_SineCurrent">
        <title>Modelica model</title>
        <itemizedlist>
            <listitem>
                <para>Modelica.Electrical.Analog.Sources.SineCurrent in COSELICA/macros/Coselica.mo file</para>
            </listitem>
        </itemizedlist>
    </refsection>
</refentry>
